package cc.flybb.myatomicinteger;

class DiyAccount implements Account {

    private DiyAtomicInteger balance;

    public DiyAccount(int balance) {
        this.balance = new DiyAtomicInteger(balance);
    }

    @Override
    public Integer getBalance() {
        return balance.getValue();
    }

    @Override
    public void withdraw(Integer amount) {
        balance.decrement(amount);
    }
}